'use strict';

var connectionManager = require('./connectionManager');
var Promise = require('bluebird');
var assert = require('assert');

var baseErr = 'Delete stream - ';

module.exports = function (config) {
	return function (streamName, hardDelete) {
		return Promise.resolve().then(function () {
			assert(streamName, baseErr + 'Stream Name not provided');
			hardDelete = hardDelete === undefined ? false : hardDelete;
			return connectionManager.create(config).then(function (connection) {
				return connection.deleteStream(streamName, -2, hardDelete, config.credentials);
			});
		});
	};
};